import { ElementRef, OnDestroy } from '@angular/core';
import { CarouselOptions } from './carousel-options.model';
import * as i0 from "@angular/core";
/**
 * This directive when applied to a div will hi-jack its background and apply a carousel of images.
 */
export declare class BackgroundCarouselDirective implements OnDestroy {
    /**
     * Carousel Options
     */
    private _options;
    /**
     * Reference to the interval for swapping the background image.
     */
    private _interval;
    /**
     * Sets the options for the carousel
     *
     * @param value
     */
    set options(value: any);
    /**
     * Gets the options for the carousel
     */
    get options(): CarouselOptions;
    /**
     * Constructor will set up all of the behavior for the carousel based on the options supplied by the user.
     *
     * @param el
     */
    constructor(el: ElementRef);
    /**
     * Initializes the options to default settings for whatever isn't provided by the developer
     */
    private initOptions;
    /**
     * Clears the interval when the component is destroyed.
     */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BackgroundCarouselDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BackgroundCarouselDirective, "[wilyCarousel]", never, { "options": "wilyCarouselOptions"; }, {}, never>;
}
