import * as i0 from "@angular/core";
/**
 * Component to display different endpoint states
 */
export declare class EndpointStateComponent {
    /**
     * Flag to determine if in loading state
     */
    loading: boolean;
    /**
     * Icon for loading state
     */
    loadingIcon: 'bars_bounce' | 'bars_vertical' | 'bars_progress' | string;
    /**
     * Main text for loading state
     */
    loadingText: string;
    /**
     * Subtext for loading state
     */
    loadingSubtext: string;
    /**
     * Flag to determine if in empty state
     */
    empty: boolean;
    /**
     * Icon for empty state
     */
    emptyIcon: string;
    /**
     * Text for loading state
     */
    emptyText: string;
    /**
     * Subtext for empty state
     */
    emptySubtext: string;
    /**
     * Flag to determine if in error state
     */
    error: boolean;
    /**
     * Icon for error state
     */
    errorIcon: string;
    /**
     * Main text for error state
     */
    errorText: string;
    /**
     * Subtext for error state
     */
    errorSubtext: string;
    /**
     * Flag to determine if overlay spinner
     */
    loadingOverlay: boolean;
    /**
     * The icon on the overlay spinner
     */
    loadingOverlayIcon: string;
    /**
     * Main text for loading overlay
     */
    loadingOverlayText: string;
    /**
     * Subtext for loading overlay
     */
    loadingOverlaySubtext: string;
    /**
     * Component constructor
     */
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<EndpointStateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EndpointStateComponent, "wily-endpoint-state", never, { "loading": "loading"; "loadingIcon": "loadingIcon"; "loadingText": "loadingText"; "loadingSubtext": "loadingSubtext"; "empty": "empty"; "emptyIcon": "emptyIcon"; "emptyText": "emptyText"; "emptySubtext": "emptySubtext"; "error": "error"; "errorIcon": "errorIcon"; "errorText": "errorText"; "errorSubtext": "errorSubtext"; "loadingOverlay": "loadingOverlay"; "loadingOverlayIcon": "loadingOverlayIcon"; "loadingOverlayText": "loadingOverlayText"; "loadingOverlaySubtext": "loadingOverlaySubtext"; }, {}, never, never>;
}
