import { Observable } from 'rxjs';
import { Notification } from './models/notification.model';
import { NotificationService } from './services/notification.service';
import * as i0 from "@angular/core";
/**
 * Component for displaying notifications
 */
export declare class NotificationComponent {
    private service;
    /**
     * Array of notifications as an Observable
     */
    readonly notifications$: Observable<Array<Notification>>;
    /**
     * Map of notification severity to color class
     */
    readonly severityColorMap: {
        success: string;
        warn: string;
        error: string;
        info: string;
    };
    /**
     * Map of notification severity to icon class
     */
    readonly severityIconMap: {
        success: string;
        warn: string;
        error: string;
        info: string;
    };
    /**
     * Dependency injection site
     * @param service the NotificationService
     */
    constructor(service: NotificationService);
    /**
     * Delete a notification
     * @param id the ID of the notification to delete
     */
    deleteNotification(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationComponent, "wily-notification", never, {}, {}, never, never>;
}
