import { AfterViewInit, EventEmitter } from '@angular/core';
import { Editor } from '@tiptap/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare const RICH_TEXT_VALUE_ACCESSOR: any;
export declare class RichTextComponent implements ControlValueAccessor, AfterViewInit {
    placeholder: string;
    hideControls: boolean;
    height: string;
    get readonly(): boolean;
    set readonly(readonly: boolean);
    textChanged: EventEmitter<{
        htmlValue: string;
        textValue: string;
    }>;
    /**
     * Function called on change
     */
    onChange: ((value: string) => void) | undefined;
    /**
     * Function called on touch
     */
    onTouched: (() => void) | undefined;
    private _value;
    private _editable;
    editor: Editor;
    get value(): any;
    set value(value: string);
    private static formatLegacyRichText;
    ngAfterViewInit(): void;
    onBlur(): void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    setLink(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichTextComponent, "wily-rich-text", never, { "placeholder": "placeholder"; "hideControls": "hideControls"; "height": "height"; "readonly": "readonly"; }, { "textChanged": "textChanged"; }, never, never>;
}
