import { Chart } from './chart.model';
/**
 * Data for the Stacked Bar Chart
 */
export declare class StackedBarChartData {
    /**
     * Label
     */
    category: string;
    /**
     * Stack Value 1 for Bar
     */
    value0: number;
    /**
     * Stack Value 2 for Bar
     */
    value1: number;
    /**
     * Stack Value 3 for Bar
     */
    value2: number;
    /**
     * Stack Value 4 for Bar
     */
    value3: number;
    /**
     * Stack Value 5 for Bar
     */
    value4: number;
    /**
     * Stack Value 6 for Bar
     */
    value5: number;
    /**
     * Stack Value 7 for Bar
     */
    value6: number;
    /**
     * Stack Value 8 for Bar
     */
    value7: number;
    /**
     * Stack Value 9 for Bar
     */
    value8: number;
    /**
     * Stack Value 10 for Bar
     */
    value9: number;
    /**
     * Stack Value 11 for Bar
     */
    value10: number;
    /**
     * Stack Value 12 for Bar
     */
    value11: number;
    /**
     * Stack Value 13 for Bar
     */
    value12: number;
    /**
     * Stack Value 14 for Bar
     */
    value13: number;
    /**
     * Stack Value 15 for Bar
     */
    value14: number;
    /**
     * Stack Value 16 for Bar
     */
    value15: number;
    /**
     * Stack Value 17 for Bar
     */
    value16: number;
    /**
     * Stack Value 18 for Bar
     */
    value17: number;
    /**
     * Stack Value 19 for Bar
     */
    value18: number;
    /**
     * Stack Value 20 for Bar
     */
    value19: number;
}
/**
 * Visual Representation Data for the Stacked Bar Chart
 */
export declare class StackedBarChartGraph {
    /**
     * Balloon Text Template
     */
    balloonText: string;
    /**
     * Fill alpha - slight opacity
     */
    fillAlphas: number;
    /**
     * Label Text Template
     */
    labelText: string;
    /**
     * Outline opacity
     */
    lineAlpha: number;
    /**
     * Type
     */
    type: string;
    /**
     * Default color - White
     */
    color: string;
    /**
     * Column Width - Default 50%
     */
    columnWidth: number;
    /**
     * Title
     */
    title: string;
    /**
     * Value Field
     */
    valueField: string;
    /**
     * Fill Colors
     */
    fillColors: string;
    /**
     * Line Color
     */
    lineColor: string;
    /**
     * Helper Method to set the fill and line color
     *
     * @param color
     */
    setColor(color: string): void;
}
/**
 * Representation of a Stacked Bar Chart for AMCharts
 */
export declare class StackedBarChart extends Chart {
    /**
     * Type is serial
     */
    type: string;
    /**
     * Data for the Stacked Bar Chart
     */
    dataProvider: StackedBarChartData[];
    /**
     * Visual Representation details for chart
     */
    graphs: StackedBarChartGraph[];
    /**
     * Turn the chart
     */
    rotate: boolean;
    /**
     * Category Field
     */
    categoryField: string;
    /**
     * Animation duration of 1s
     */
    startDuration: number;
    /**
     * Legend setup
     */
    legend: {
        horizontalGap: number;
        maxColumns: number;
        position: string;
        useGraphSettings: boolean;
        markerSize: number;
    };
    /**
     * Value Axes Setup
     */
    valueAxes: {
        stackType: string;
        axisAlpha: number;
        gridAlpha: number;
    }[];
    /**
     * Category Axis setup
     */
    categoryAxis: {
        gridPosition: string;
        axisAlpha: number;
        gridAlpha: number;
        position: string;
    };
}
