import * as i0 from "@angular/core";
/**
 * Wrapper around interactions with Local Storage. Handles serializing things to JSON to make it easier to push more complex data into
 * local storage.
 */
export declare class LocalStorageService {
    /**
     * Retrieve an object from LocalStorage
     *
     * @param key
     */
    getObject<T>(key: string): T;
    /**
     * Get straight text out of local storage. Don't use this if the data is a JSON Object.
     *
     * @param key
     */
    getText(key: string): string;
    /**
     * Puts an object into Local Storage. Handles stringifying the JS Object.
     *
     * @param key
     * @param object
     */
    putObject(key: string, object: any): void;
    /**
     * Puts text into Local Storage.
     *
     * @param key
     * @param value
     */
    putText(key: string, value: string): void;
    /**
     * Removes an item from local storage based on the key.
     *
     * @param key
     */
    remove(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalStorageService>;
}
